Main Page Packages Class Hierarchy Compound List File List Compound Members

# nodenotationnodevalue Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| nodenotationnodevalue (DOMTestDocumentBuilderFactory factory)
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

The string returned by the "getNodeValue()" method for a

Notation Node is null.

Retrieve the Notation declaration inside the

DocumentType node and check the string returned

by the "getNodeValue()" method. It should be equal to

null.

Author:
  NIST , Mary Brady

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-F68D080

Definition at line 53 of file nodenotationnodevalue.java.

## Constructor & Destructor Documentation

nodenotationnodevalue::nodenotationnodevalue | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 55 of file nodenotationnodevalue.java.
    00056  {
    00057       super(factory);
    00058
    00059    }

## Member Function Documentation

String nodenotationnodevalue::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 75 of file nodenotationnodevalue.java.
    00075                                 {
    00076       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/nodenotationnodevalue";
    00077    }

void nodenotationnodevalue::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 78 of file nodenotationnodevalue.java. References DOMTestCase::doMain().
    00078                                           {
    00079         DOMTestCase.doMain(nodenotationnodevalue.class,args);
    00080    }

void nodenotationnodevalue::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 61 of file nodenotationnodevalue.java. References DOMTestCase::assertNull(), and DOMTest::load().
    00061                                                     {
    00062       Document doc;
    00063       DocumentType docType;
    00064       NamedNodeMap testName;
    00065       Node notationNode;
    00066       String notationValue;
    00067       doc = load("staff");
    00068       docType = doc.getDoctype();
    00069       testName = docType.getNotations();
    00070       notationNode = testName.getNamedItem("notation1");
    00071       notationValue = notationNode.getNodeValue();
    00072       assertNull("nodeNotationNodeValueAssert1",notationValue);
    00073
    00074    }

The documentation for this class was generated from the following file:

- nodenotationnodevalue.java